## GwyCalibration GwyCalibration — Resource for managing calibrations |

## Functions

GwyCalibration * | gwy_calibration_new ()
const gchar * | gwy_calibration_get_filename ()
gint | gwy_calibration_get_ndata ()
GwyInventory * | gwy_calibrations ()
GwyCalibration * | gwy_calibrations_get_calibration ()
GwyCalData * | gwy_calibration_get_data ()

## Types and Values

struct | GwyCalibration
struct | GwyCalibrationClass

## Object Hierarchy

        GObject
        ╰── GwyResource
            ╰── GwyCalibration

## Includes

    #include <libprocess/gwyprocess.h>

## Description

GwyCalibration is a resource used for managing calibration data. These resources are stored separately from calibration data and contain namely filename of connected calibration data file.

## Functions

### gwy_calibration_new ()

    GwyCalibration *
    gwy_calibration_new (const gchar *name,
                         const char *filename);

Creates new calibration resource.

#### Parameters

name | Name of resource |
filename | Filename of associated calibration data |

#### Returns

A newly created calibration resource.

Since: 2.23

### gwy_calibration_get_filename ()

    const gchar *
    gwy_calibration_get_filename (GwyCalibration *calibration);

Get filename of associated calibration data.

#### Parameters

calibration | Calibration resource |

#### Returns

Filename of associated calibration data.

Since: 2.23

### gwy_calibration_get_ndata ()

    gint
    gwy_calibration_get_ndata (GwyCalibration *calibration);

Returns the number of points in a calibration.

#### Parameters

calibration | A calibration. |

#### Returns

The number of points in `calibration` .

Since: 2.23

### gwy_calibrations ()

    GwyInventory *
    gwy_calibrations (void);

Gets inventory with all the calibrations.

#### Returns

Calibration inventory.

Since: 2.23

### gwy_calibrations_get_calibration ()

    GwyCalibration *
    gwy_calibrations_get_calibration (const gchar *name);

Convenience function to get a calibration from `gwy_calibrations()` by name.

#### Parameters

name | Calibration name. May be `NULL` to get the default calibration. |

#### Returns

Calibration identified by `name` or the default calibration if `name` does not exist.

Since: 2.23

### gwy_calibration_get_data ()

    GwyCalData *
    gwy_calibration_get_data (GwyCalibration *calibration);

Obtains the data related to calibration.

#### Parameters

calibration | A calibration. |

#### Returns

The data related to `calibration` .

Since: 2.23

## Types and Values

### struct GwyCalibration

    struct GwyCalibration;

The GwyCalibration struct contains private data only and should be accessed using the functions below.

Since: 2.23

### struct GwyCalibrationClass

    struct GwyCalibrationClass {
        GwyResourceClass parent_class;

        void (*reserved1)(void);
        void (*reserved2)(void);
    };